=== modified file 'bzrlib/clean_tree.py'
--- bzrlib/clean_tree.py	2010-05-04 09:04:39 +0000
+++ bzrlib/clean_tree.py	2010-05-04 09:20:17 +0000
@@ -58,6 +58,8 @@
             return 0
         if not no_prompt:
             for path, subp in deletables:
+                # FIXME using print is very bad idea
+                # clean_tree should accept to_file argument to write the output
                 print subp
             val = raw_input('Are you sure you wish to delete these [y/N]?')
             if val.lower() not in ('y', 'yes'):
@@ -72,14 +74,18 @@
     result = []
     for path, subp in deletables:
         # bzr won't recurse into unknowns/ignored directories by default
-        # so we don't pay a penalty for checking subdirs of path for nested bzrdir
-        # that said we won't detect the branch in the subdir of non-branch directory
-        # and therefore delete it. (FIXME?)
+        # so we don't pay a penalty for checking subdirs of path for nested
+        # bzrdir.
+        # That said we won't detect the branch in the subdir of non-branch
+        # directory and therefore delete it. (worth to FIXME?)
         if isdir(path):
             try:
                 bzrdir.BzrDir.open(path)
             except errors.NotBranchError:
                 result.append((path,subp))
+            else:
+                # TODO may be we need to notify user about skipped directories?
+                pass
         else:
             result.append((path,subp))
     return result

